[RFC] Possibly make Euro construction more clear
Closed, ResolvedPublic1 Story Points

Description

(Unanswered question from https://github.com/wmde/FundraisingFrontend/pull/301)

I don't like how this reads: new Euro( 1000 ). Looks like that is 1000 Euro, while it's just 10. Easy for someone to get confused. Perhaps we should make the constructor private and have newFromCents( int $i ) and newFromWholeAmount( int $i ) methods? The later could be omitted in favor of the already existing newFromFloat, which also accepts integers.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 8 2016, 2:16 AM
JeroenDeDauw changed the title from "Euro question" to "Possibly make Euro construction more clear".Apr 9 2016, 3:28 AM
JeroenDeDauw moved this task from Backlog to Doing on the WMDE-Fundraising-Frontend-Release board.
JeroenDeDauw changed the point value for this task from 0 to 1.
JeroenDeDauw changed the title from "Possibly make Euro construction more clear" to "[RFC] Possibly make Euro construction more clear".

I'm definitely for new constructors, the current one is very confusing.

JeroenDeDauw closed this task as "Resolved".May 3 2016, 11:41 PM
JeroenDeDauw claimed this task.